
program mlehirmoneeq

version 11
args todo b lnf

tempvar f xb  
tempname lsigtheta lrhotheta  

mleval `f' = `b' , eq(1)
mleval `xb' = `b' , eq(2) 
mleval `lsigtheta' = `b' , scalar eq(3)
mleval `lrhotheta' = `b' , scalar eq(4) 

tempname sden s sigtheta rhotheta
tempvar emphat m nexp term1 term2 y lj

scalar `sigtheta'=exp(`lsigtheta')
scalar `rhotheta'=tanh(`lrhotheta')

quietly gen double `y' = $ML_y1

quietly gen double `emphat' = ($ML_y2 - `xb')/`sigtheta' 

quietly gen double `m'=`rhotheta'*($ML_y2 - `xb')/`sigtheta'

scalar `sden'=1-((`rhotheta'*`rhotheta'))
scalar `s'=(`sden')^0.5

quietly gen double `nexp'=(`f'-`m')/`s'

quietly gen double `term1'=normalden(`emphat')*normal(-`nexp')/`sigtheta'
quietly gen double `term2'=normalden(`emphat')*normal(`nexp')/`sigtheta'

mlsum `lnf' = cond(`y', ln(`term1'), ln(`term2') ) 

if (`todo'==0 | `lnf' >=.) exit

end
