
program mlehirmtwoeq

version 11
args todo b lnf

tempvar xb2 xb3 
tempname f lstheta lseta atrhotheta atrhoeta zeta 

mleval `f' = `b' , eq(1) 
mleval `xb2' = `b' , eq(2) 
mleval `xb3' = `b' , eq(3)
mleval `lstheta' = `b' , eq(4) scalar
mleval `lseta' = `b' , eq(5) scalar
mleval `atrhotheta' = `b' , eq(6) scalar
mleval `atrhoeta' = `b' , eq(7) scalar
mleval `zeta' = `b' , eq(8) scalar

tempname sigtheta sigeta rhotheta rhoeta s  
tempvar y hhat what m nexp term1 term2 

scalar `sigtheta'=exp(`lstheta')
scalar `sigeta'=exp(`lseta')
scalar `rhotheta'=tanh(`atrhotheta'*`atrhotheta')
scalar `rhoeta'=tanh(`atrhoeta'*`atrhoeta')

gen double `y' = $ML_y1
gen double `hhat' = ($ML_y2 - `xb2')/`sigtheta' 
gen double `what' = (($ML_y3 - `xb3') - (`zeta'*($ML_y2 - `xb2')))/`sigeta'

gen double `m'= `rhotheta'*`hhat' + `rhoeta'*`what'

scalar `s'= (1 - (`rhotheta'*`rhotheta') - (`rhoeta'*`rhoeta'))^0.5

gen double `nexp'=(`f'-`m')/`s'

gen `term1' = (normalden(`hhat')/`sigtheta') * (normalden(`what')/`sigeta') * normal(-`nexp')
gen `term2' = (normalden(`hhat')/`sigtheta') * (normalden(`what')/`sigeta') * normal(`nexp')

mlsum `lnf' = cond(`y', ln(`term1'), ln(`term2') ) 

if (`todo'==0 | `lnf' >=.) exit

end
