%%% Elhanan Helpman, Oleg Itskhoki, Marc-Andreas Muendler and Stephen J. Redding (2016): 
%%% "Trade and Inequality: From Theory to Estimantion," Review of Economic Studies, forthcoming

%%% STRUCTURAL CONSTRAINT FOR MLE (see mainMLE.m)

function [c, ceq] = strconstr(Theta)

global izt imh imw isu isv


%% ------ PARAMERERS ------ 
ztl  = Theta(izt);   % zeta
mhl  = Theta(imh);   % mu_h
mwl  = Theta(imw);   % mu_w
su2l = Theta(isu);   % sigma_u^2, transformed
sv2l = Theta(isv);   % sigma_v^2, transformed

 
c = [];

ceq = ztl * mhl - mwl;