%%% Elhanan Helpman, Oleg Itskhoki, Marc-Andreas Muendler and Stephen J. Redding (2016): 
%%% "Trade and Inequality: From Theory to Estimantion," Review of Economic Studies, forthcoming

%%% STRUCTURAL CONSTRAINT FOR MULTIDESTINATION MLE (see mainMLEmultidest.m)

function [c, ceq] = strconstr_md(Theta)

global izt imh1 imw1 imh2 imw2 imh3 imw3 


%% ------ PARAMERERS ------
ztl  = Theta(izt);    % zeta
mhl1 = Theta(imh1);   % mu_h1
mwl1 = Theta(imw1);   % mu_w1
mhl2 = Theta(imh2);   % mu_h2
mwl2 = Theta(imw2);   % mu_w2
mhl3 = Theta(imh3);   % mu_h3
mwl3 = Theta(imw3);   % mu_w3



c = [];
ceq(1) = ztl * mhl1 - mwl1;
ceq(2) = ztl * mhl2 - mwl2;
ceq(3) = ztl * mhl3 - mwl3;